For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
      • GETReturns the information for all your created SMS campaigns
      • POSTCreates an SMS campaign
      • GETGet an SMS campaign
      • PUTUpdate an SMS campaign
      • DELDelete an SMS campaign
      • POSTSend your SMS campaign immediately
      • PUTUpdate a campaign's status
      • POSTSend a test SMS campaign
      • POSTExport an SMS campaign's recipients
      • POSTSend an SMS campaign's report
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Marketing CampaignsSMS Campaigns

Returns the information for all your created SMS campaigns

GET
https://api.brevo.com/v3/smsCampaigns
GET
/v3/smsCampaigns
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.smsCampaigns.getSmsCampaigns({});
8}
9main();
1{
2 "campaigns": [
3 {
4 "content": "Visit our Store and get some discount !",
5 "createdAt": "2017-06-01T12:30:00Z",
6 "id": 2,
7 "modifiedAt": "2017-05-01T12:30:00Z",
8 "name": "PROMO CODE",
9 "sender": "MyCompany",
10 "status": "sent",
11 "recipients": {
12 "exclusionLists": [
13 13
14 ],
15 "lists": [
16 21
17 ]
18 },
19 "statistics": {
20 "answered": 2,
21 "delivered": 2987,
22 "hardBounces": 1,
23 "processing": 0,
24 "sent": 3000,
25 "softBounces": 3,
26 "unsubscriptions": 3
27 },
28 "organisationPrefix": "MyCompany",
29 "scheduledAt": "2017-06-01T12:30:00Z",
30 "sentDate": "2017-06-01T12:30:00Z",
31 "unsubscribeInstruction": "send Stop if you want to unsubscribe."
32 },
33 {
34 "content": "Summer Sale is starting tomorrow. Get extra 10% with this code:SUM17",
35 "createdAt": "2017-06-01T12:30:00Z",
36 "id": 10,
37 "modifiedAt": "2017-05-01T12:30:00Z",
38 "name": "SUMMER SALE",
39 "sender": "MyCompany",
40 "status": "draft",
41 "recipients": {
42 "exclusionLists": [
43 13
44 ],
45 "lists": [
46 21
47 ]
48 },
49 "statistics": {
50 "answered": 2,
51 "delivered": 2987,
52 "hardBounces": 1,
53 "processing": 0,
54 "sent": 3000,
55 "softBounces": 3,
56 "unsubscriptions": 3
57 },
58 "organisationPrefix": "",
59 "scheduledAt": "2017-08-04T12:30:00Z",
60 "unsubscribeInstruction": ""
61 }
62 ],
63 "count": 12
64}

Retrieve a paginated list of all your SMS campaigns with their statistics and recipient information. Results can be filtered by status and date range, with a default limit of 500 and maximum of 1000 per page. The sort order defaults to descending by creation date; date filters are only available when status is not passed or is set to sent.

Was this page helpful?
Previous

Creates an SMS campaign

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Query parameters

statusenumOptional
Status of campaign.
startDatestringOptional

Mandatory if endDate is used. Starting (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the sent SMS campaigns. Prefer to pass your timezone in date-time format for accurate result. Only available if status is not passed or is set to sent. startDate must not be in the future.

endDatestringOptional

Mandatory if startDate is used. Ending (urlencoded) UTC date-time (YYYY-MM-DDTHH:mm:ss.SSSZ) to filter the sent SMS campaigns. Prefer to pass your timezone in date-time format for accurate result. Only available if status is not passed or is set to sent. endDate must not be in the future.

limitlongOptional1-1000Defaults to 500
Number of documents per page
offsetlongOptionalDefaults to 0
Beginning point in the list to retrieve from.
sortenumOptionalDefaults to desc

Sort the results in the ascending/descending order of record creation. Default order is descending if sort is not passed

Allowed values:

Response

SMS campaigns information
campaignslist of objects
countlong
Number of SMS campaigns retrieved

Errors

400
Bad Request Error